Subject: Re: What's cooking in git.git (Jun 2017, #06; Thu, 22)

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 Jun 2017 18:01:55 -0700

Junio C Hamano <[email-masked]> writes:

> But for the purpose of this "moved line coloring",
> excluding multiple copy destinations of the same thing may be a
> simpler and more robust solution.  It will not catch "somebody
> stupidly removed one function and made two private copies", though.

Let me take this one back.  Treating multiple copy destinations and
multiple copy sources differently is a bad idea.  It is easy for a
user to give "-R" option to "diff" to turn such a stupid patch into
"somebody brilliantly consolidated two copies of the same thing into
a single function", and we want to keep "diff" and "diff -R" output
symmetric.